Bug 618366 (CVE-2010-1862, MOPS-2010-008) - CVE-2010-1862 php: chunk_split interruption vulnerability (MOPS-2010-008)
Summary: CVE-2010-1862 php: chunk_split interruption vulnerability (MOPS-2010-008)
Status: CLOSED DUPLICATE of bug 169857
Alias: CVE-2010-1862, MOPS-2010-008
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=none,source=internet,reported=...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-26 19:02 UTC by Tomas Hoger
Modified: 2015-08-19 08:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 19:04:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
MOPS-2010-008 reproducer (1.26 KB, text/plain)
2010-07-26 19:04 UTC, Tomas Hoger
no flags Details

Description Tomas Hoger 2010-07-26 19:02:58 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1862 to the following vulnerability:

The chunk_split function in PHP 5.2 through 5.2.13 and 5.3 through 5.3.2 allows context-dependent attackers to obtain sensitive information (memory contents) by causing a userspace interruption of an internal function, related to the call time pass by reference feature.

Reference:
http://php-security.org/2010/05/04/mops-2010-008-php-chunk_split-interruption-information-leak-vulnerability/index.html

Comment 1 Tomas Hoger 2010-07-26 19:04:01 UTC
Created attachment 434505 [details]
MOPS-2010-008 reproducer

Comment 2 Tomas Hoger 2010-07-26 19:04:31 UTC
Fixed via zend_parse_parameters() change that addressed couple of other MOPS
issues - see bug #617578, comment #2.

Closing this, see bug #617578, comment #3 for more detailed explanation.

*** This bug has been marked as a duplicate of bug 169857 ***

Comment 3 Tomas Hoger 2010-07-26 19:04:48 UTC
Statement:

Red Hat does not consider interruption issues allowing safe_mode / open_basedir
restriction bypass to be security sensitive.  For more details see
https://bugzilla.redhat.com/show_bug.cgi?id=169857#c1 and
http://www.php.net/security-note.php


Note You need to log in before you can comment on or make changes to this bug.